Bug 1164201 (CVE-2014-3068) - CVE-2014-3068 IBM JDK: Java CMS keystore provider potentially allows brute-force private key recovery
Summary: CVE-2014-3068 IBM JDK: Java CMS keystore provider potentially allows brute-fo...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3068
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-14 10:44 UTC by Martin Prpič
Modified: 2019-09-29 13:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-14 10:54:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0264 normal SHIPPED_LIVE Low: Red Hat Satellite IBM Java Runtime security update 2015-02-24 18:44:15 UTC

Description Martin Prpič 2014-11-14 10:44:49 UTC
A vulnerability was found in the Java Certificate Management System (CMS) keystore provider that could potentially allow an attacker to recover the private key from CMS keystores via a brute-force attack.

External References:

http://www.ibm.com/developerworks/java/jdk/alerts/#IBM_Security_Update_July_2014
http://www-01.ibm.com/support/docview.wss?uid=swg21680334
http://xforce.iss.net/xforce/xfdb/93756

Comment 1 Martin Prpič 2014-11-14 10:54:37 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:1041 https://rhn.redhat.com/errata/RHSA-2014-1041.html

  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2014:1042 https://rhn.redhat.com/errata/RHSA-2014-1042.html

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:1036 https://rhn.redhat.com/errata/RHSA-2014-1036.html

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:1033 https://rhn.redhat.com/errata/RHSA-2014-1033.html

Comment 2 errata-xmlrpc 2015-02-24 13:45:52 UTC
This issue has been addressed in the following products:

  Red Hat Satellite Server v 5.6

Via RHSA-2015:0264 https://rhn.redhat.com/errata/RHSA-2015-0264.html


Note You need to log in before you can comment on or make changes to this bug.